Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 78043 - doesn't erase GATEWAY= in /etc/sysconfig/network
Summary: doesn't erase GATEWAY= in /etc/sysconfig/network
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: redhat-config-network
Version: 7.3
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Harald Hoyer
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-11-18 10:48 UTC by Michael Schwendt
Modified: 2008-05-01 15:38 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2003-08-11 14:08:09 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2003:183 normal SHIPPED_LIVE Updated redhat-config-network package available 2003-08-11 04:00:00 UTC

Description Michael Schwendt 2002-11-18 10:48:13 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0.1) Gecko/20021003

Description of problem:
redhat-config-network is unable to undefine the GATEWAY= variable in
/etc/sysconfig/network, although it reads the Default Gateway Address from that
file (if the variable is set) and displays it together with the network device
settings from /etc/sysconfig/network-scripts/ifcfg-*. This bites users with new
installations as well as upgrades (I think the installer sets that variable if
the user enters network configuration upon installation).

Version-Release number of selected component (if applicable):
1.0.0-1 (Valhalla, Psyche)
1.0.3-1 (test)

How reproducible:
Always

Steps to Reproduce:
1. use the installer to define a NIC with statically assigned IP address, enter
a "Default Gateway Address" // alternatively use redhat-config-network to set up
the network device and use an editor to define a GATEWAY= host in
/etc/sysconfig/network
2. start redhat-config-network
3. click "Edit" for your network device (e.g. eth0)
4. notice the "Default Gateway Address" is the one from /etc/sysconfig/network
5. delete the gateway > OK > Apply > Close
6. cat /etc/sysconfig/network (or watch your network device config with
redhat-config-network again)

The gateway in /etc/sysconfig/network wasn't deleted. And it is back in
redhat-config-network next time you start that tool.

Comment 2 Harald Hoyer 2003-08-11 14:08:09 UTC
An errata has been issued which should help the problem described in this bug report. 
This report is therefore being closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files, please follow the link below. You may reopen 
this bug report if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2003-183.html



Note You need to log in before you can comment on or make changes to this bug.